GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- File List
- File Members

Classes | Macros | Functions
ogr_spatialref.h File Reference

Coordinate systems services. More...

`#include "cpl_string.h"`
`#include "ogr_srs_api.h"`
`#include <cstddef>`
`#include <map>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | OGR_SRSNode
| Objects of this class are used to represent value nodes in the parsed representation of the WKT SRS format. More...
class | OGRSpatialReference
| This class represents an OpenGIS Spatial Reference System, and contains methods for converting between this object organization and well known text (WKT) format. More...
class | OGRCoordinateTransformation
| Interface for transforming between coordinate systems. More...

## Macros
#define | USGS_ANGLE_DECIMALDEGREES 0
| Angle is in decimal degrees. More...
#define | USGS_ANGLE_PACKEDDMS TRUE
| Angle is in packed degree minute second. More...
#define | USGS_ANGLE_RADIANS 2
| Angle is in radians. More...

## Functions
OGRCoordinateTransformation * | OGRCreateCoordinateTransformation (OGRSpatialReference *poSource, OGRSpatialReference *poTarget)
| Create transformation object. More...

## Detailed Description

Coordinate systems services.

## Macro Definition Documentation

#define USGS_ANGLE_DECIMALDEGREES 0

Angle is in decimal degrees.

#define USGS_ANGLE_PACKEDDMS TRUE

Angle is in packed degree minute second.

#define USGS_ANGLE_RADIANS 2

Angle is in radians.

## Function Documentation

OGRCoordinateTransformation* OGRCreateCoordinateTransformation | ( | OGRSpatialReference * | poSource,
|  | OGRSpatialReference * | poTarget
| ) |  |

Create transformation object.

This is the same as the C function OCTNewCoordinateTransformation().

Input spatial reference system objects are assigned by copy (calling clone() method) and no ownership transfer occurs.

The delete operator, or OCTDestroyCoordinateTransformation() should be used to destroy transformation objects.

The PROJ.4 library must be available at run-time.

Parameters

  poSource | source spatial reference system.
  poTarget | target spatial reference system.

Returns
  NULL on failure or a ready to use transformation object.

Generated for GDAL by 1.8.8.